"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setConfigPaths = undefined;

var _path = require("path");

var setConfigPaths = function setConfigPaths(configObject, enforcedPath) {
  var newConfig = {
    collections: []
  };

  if (configObject.media_folder) {
    newConfig.media_folder = (0, _path.join)(enforcedPath, configObject.media_folder);
  }

  if (configObject.collections) {
    configObject.collections.forEach(function (collection) {
      collection.folder && newConfig.collections.push(Object.assign({}, collection, {
        folder: (0, _path.join)(enforcedPath, collection.folder)
      }));
    });
  }

  return Object.assign({}, configObject, newConfig);
};

exports.setConfigPaths = setConfigPaths;