"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.loadYAMLFile = exports.toYAML = undefined;

var _fs = require("fs");

var _jsYaml = require("js-yaml");

var _debug = require("debug");

var _debug2 = _interopRequireDefault(_debug);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var debug = (0, _debug2.default)("nuxt:netlify-cms");
/* eslint-disable import/no-extraneous-dependencies */
/* covered by nuxt */


var toYAML = function toYAML(object) {
  try {
    var yaml = (0, _jsYaml.safeDump)(object);
    return yaml;
  } catch (e) {
    debug(e.message, e.name);
    return false;
  }
};

var loadYAMLFile = function loadYAMLFile(configFile) {
  if ((0, _fs.existsSync)(configFile)) {
    try {
      var config = (0, _fs.readFileSync)(configFile, "utf8");
      var contents = (0, _jsYaml.safeLoad)(config, {
        filename: configFile,
        onWarning: debug
      });
      return contents;
    } catch (e) {
      debug(e.message, e.name);
      return false;
    }
  }
  return false;
};

exports.toYAML = toYAML;
exports.loadYAMLFile = loadYAMLFile;