"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = webpackNetlifyCmsConfig;

var _path = require("path");

var _nuxt = require("nuxt");

var _webpack = require("webpack");

var _webpack2 = _interopRequireDefault(_webpack);

var _htmlWebpackPlugin = require("html-webpack-plugin");

var _htmlWebpackPlugin2 = _interopRequireDefault(_htmlWebpackPlugin);

var _extractTextWebpackPlugin = require("extract-text-webpack-plugin");

var _extractTextWebpackPlugin2 = _interopRequireDefault(_extractTextWebpackPlugin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function webpackNetlifyCmsConfig(name, urlPath, pageTitle) {
  var config = {
    name: name,
    entry: (0, _path.resolve)(__dirname, "../lib/entry.js"),
    output: {
      path: (0, _path.resolve)(this.options.buildDir, "dist", urlPath),
      filename: "bundle.[chunkhash].js",
      chunkFilename: this.options.build.filenames.chunk,
      publicPath: _nuxt.Utils.urlJoin(this.options.router.base, urlPath)
    },
    module: {
      loaders: [{ test: /\.css$/, loader: "style-loader!css-loader" }, {
        test: /\.(eot|svg|ttf|woff|woff2)$/,
        loader: "url-loader",
        options: {
          limit: 1000, // 1 KO
          name: "public/fonts/[name].[hash:7].[ext]"
        }
      }]
    },
    plugins: [new _htmlWebpackPlugin2.default({
      title: pageTitle,
      filename: "index.html",
      template: (0, _path.resolve)(__dirname, "../lib/template", "index.html"),
      inject: true,
      chunksSortMode: "dependency"
    })]
  };

  // --------------------------------------
  // Production specific config
  // --------------------------------------
  if (!this.options.dev) {
    // CSS extraction
    config.plugins.push(new _extractTextWebpackPlugin2.default({
      filename: "style.[contenthash].css"
    }));
    // This is needed in webpack 2 for minify CSS
    config.plugins.push(new _webpack2.default.LoaderOptionsPlugin({
      minimize: true
    }));
  }

  return config;
}
/* eslint-disable import/no-extraneous-dependencies */
/* covered by nuxt */